Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javafx.newt
Class Screen

    java.lang.Object
      com.sun.javafx.newt.Screen

    public abstract class Screen

extends Object

Field Summary
`protected AbstractGraphicsScreen` | `aScreen`
`protected Display` | `display`
`protected int` | `height`
`protected static int` | `usrHeight`
`protected static int` | `usrWidth`
`protected int` | `width`

Constructor Summary
`Screen()`

Method Summary
`protected abstract void` | `closeNative()`
`protected static Screen` | `create(String type, Display display, int idx)`
`protected abstract void` | `createNative(int index)`
`void` | `destroy()`
`Display` | `getDisplay()`
`AbstractGraphicsScreen` | `getGraphicsScreen()`
`int` | `getHeight()` The actual implementation shall return the detected display value, if not we return 480.
`int` | `getIndex()`
`int` | `getWidth()` The actual implementation shall return the detected display value, if not we return 800.
`protected void` | `setScreenSize(int w, int h)`
`protected static Screen` | `wrapHandle(String type, Display display, AbstractGraphicsScreen aScreen)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### display

    protected Display display

### aScreen

    protected AbstractGraphicsScreen aScreen

### width

    protected int width

### height

    protected int height

### usrWidth

    protected static int usrWidth

### usrHeight

    protected static int usrHeight

Constructor Detail

### Screen

    public Screen()

Method Detail

### create

    protected static Screen create(String type,
                                   Display display,
                                   int idx)

### destroy

    public void destroy()

### wrapHandle

    protected static Screen wrapHandle(String type,
                                       Display display,
                                       AbstractGraphicsScreen aScreen)

### createNative

    protected abstract void createNative(int index)

### closeNative

    protected abstract void closeNative()

### setScreenSize

    protected void setScreenSize(int w,
                                 int h)

### getDisplay

    public Display getDisplay()

### getIndex

    public int getIndex()

### getGraphicsScreen

    public AbstractGraphicsScreen getGraphicsScreen()

### getWidth

    public int getWidth()

  The actual implementation shall return the detected display value, if not we return 800. This can be overwritten with the user property 'newt.ws.swidth',

### getHeight

    public int getHeight()

  The actual implementation shall return the detected display value, if not we return 480. This can be overwritten with the user property 'newt.ws.sheight',

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.